<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1PropertyObj.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::PropertyObj Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a4b9addff7a03a165a5b1871322072ed5">AbstractProperty</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a55fe5ebe73e842f4c1ecd9cdbb2ce6da">AbstractProperty</a>(const std::string &amp;name, const std::string &amp;comment)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a91af17960853259b5ea4a0ce93ad4084">AbstractProperty</a>(const AbstractProperty &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a4966aa856030514c9bd8972459fab29f">AbstractProperty</a>(AbstractProperty &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1b992e38e14a6d1977d4dcbb6f4786bf">appendValue</a>(Object *obj)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a05726a6ab0bee46b8f2b07a8931fd90a">OpenSim::AbstractProperty::appendValue</a>(const T &amp;value)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a450b3c41b673f4ab1ffe107879c95e7c">assign</a>(const AbstractProperty &amp;that) override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9a530880355419d0f1b07b0f641fd68456">Bool</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9a9f5647e39708100b289762898c2ebcf1">BoolArray</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a5ec8c00426c6841139be00515e749713">clear</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ab50e9ef98b5f8fcd5374c08ccf2054cb">clearObjArray</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ada0874175c22b400de278ee0ea7a8717">clearValues</a>() override</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#ac38c430aef36d6d4cf8f1d872091993d">clone</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9a43cd59339b5ac058cf17a4629a726987">Dbl</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9a0411c38ede26d42a0df6e007b03ac7bf">DblArray</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9a9ced1962efe472ab79897d70645a56e9">DblVec</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9a876f6b2dce7dc8b8f372b26c826cb6fe">DblVec3</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ac27428a81d54724a7ba0c6a3cb187a75">empty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ad1343f7d7a5c88d008db435ee44bc869">equals</a>(const AbstractProperty &amp;other) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a023d9ab133afa06f55ed552e04a73c03">getArraySize</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a862facc6c0b005266819332626dfacc5">getComment</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a804c4c8103d1339a9582dbe787db852d">getMatchName</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ac8e6da1b1f16d4e9c230487193979298">getMaxListSize</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a5f536d90bb3e5f400e540db08511f096">getMinListSize</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a8da380c1f75c9f87cfd930e773aed4ad">getName</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ad24f00ef7b1c93d4f696b5b6f8b5503a">getNumValues</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a2d5e00f84260f558380944cadee94bf4">getPropertyType</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a8c971ff91657fea048f07c0cfa832381">getType</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a4ba4e08d9835b3f65e3ed6bd4882b322">getTypeName</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a7407c2c03361a3d6265f604841ab332e">getValue</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a090b041250d4cb682b62074796170f44">getValue</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ae0c918cebd76b21511847b65e5ada241">getValue</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a4ccc53cd8d30d6511cf17580d8afaeb7">getValue</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a9635d07249fbd05ce8c1fe0d751aec35">OpenSim::AbstractProperty::getValue</a>(int index=-1) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a5dd12e3cb2f7aabcde076e5983c04fe2">getValueArray</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a340bf783f20bfaf22c9696d268f54ff6">getValueArray</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a7cd2cd8be335d9cb0aaafa37f0d51503">getValueArray</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a6d552e5687965b423e1a4e5feb939036">getValueArray</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#aba893ba6db9ac9d7ad3e5d523576aab7">getValueAsObject</a>(int index=-1) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1a19bc90c9b49ec0e9a69eb602c02439">getValueBool</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a19eb7695dd5a4403be70a7a1af54cf42">getValueBool</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ac6ffab8d2e8255af8494ea8b6feda370">getValueBoolArray</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#aa3acc09809a1ee3c942a8d0de3eecbb5">getValueBoolArray</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ac7d4119f62b72be7477674350873cb00">getValueDbl</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a19d5a49a52160164ddc22ee3f33a5deb">getValueDbl</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a5105efe91c918d2927fd8acfb180adb6">getValueDblArray</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#aed613eca7afaebcd901a475afc19103e">getValueDblArray</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a96e0f4494d4eaf1a2624505b96477a44">getValueInt</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a03d470622b792b1be631465c83913fce">getValueInt</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a7828061f28080e1f598c6fd024d943c6">getValueIntArray</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94c9907daa1059df073dce470623bcb1">getValueIntArray</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ade3bc39f66b759a8a807429161576ad1">getValueIsDefault</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a7195aabfcb9287dcd00fcdfcbddc0fa5">getValueObj</a>() override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a3616939f6fd103d6d04673e3afb86301">getValueObj</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a71cc59b968808928148662489c9c4b3d">getValueObjPtr</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a11897b71d7572aed634a5d437563f580">getValueObjPtr</a>(int index) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a37423a375798d37be423bff3c70ead51">getValueStr</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ab06535eb34ba3fa70d9b01f4af2f1fdb">getValueStr</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a32ebd10f75d9abd8410869594202a601">getValueStrArray</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1a44ac4d7c2132e71083c76bd21a6cf6">getValueStrArray</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9a12f9263a94b01b716d2d9a3190f88324">Int</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9ad46155a771d021ce9c7b41ea8a2bf9c1">IntArray</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a570b38693d2b9c94ed5a452b2f9c3db2">isAcceptableObjectTag</a>(const std::string &amp;objectTypeTag) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a8c5d204e665c282212cc950906fd09b0">isArrayProperty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1ab4211cdc4d6b436a8085883d7ec4cf">isEqualTo</a>(const AbstractProperty &amp;other) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a7f70dd571c232d2a9f7ab64406499e88">isListProperty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a0a45654b454b126031f568fdfc48808f">isObjectProperty</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ae968e7a8df7fbabf28dc6f168d5ca134">isOneObjectProperty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a1caab24d637ef7f88244c97bb5ce8ffe">isOneValueProperty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#abc70adbf3a2a0fe683b9ffbdcfc52bfc">isOptionalProperty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a68f4d355d682e7d0cf4ec33e7a3553de">isSamePropertyClass</a>(const AbstractProperty &amp;other) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ad3d62df3368ed5576ef0e4983aca3ac0">isUnnamedProperty</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a4000eff6f6c32ebe306b1f053437eb1c">isValidObject</a>(const Object *obj) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9ad3c12e5e3b38a4d16dbf7da51ea1c673">None</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9acd9282250ed4f8c4584b512b904694b9">Obj</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9ab410856f95605d31083cd94c71ab98a1">ObjArray</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9a1ff95d73af758cbd3b1e6f09320194d5">ObjPtr</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#af19fced3e3e3b70974475ab08f8d27dd">operator&lt;</a>(const Property_Deprecated &amp;aProperty) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a36647071d7a940653e7a104acc5619d4">operator=</a>(const PropertyObj &amp;aProperty)</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ae2f5ed04cd1d93757545e7ac51b4b138">OpenSim::Property_Deprecated::operator=</a>(const Property_Deprecated &amp;aProperty)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a95f151c434d6d0202885da47e9e01031">OpenSim::AbstractProperty::operator=</a>(const AbstractProperty &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a7bcfb772878a7eec22b665707c1cf227">OpenSim::AbstractProperty::operator=</a>(AbstractProperty &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1445a9e36afec74314173e6958a9dda7">operator==</a>(const Property_Deprecated &amp;aProperty) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a26105c68088639cfac2a55206c6a9e65">OpenSim::AbstractProperty::operator==</a>(const AbstractProperty &amp;other) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ab3151bd2250e7dcebe1bccd465fc3a78">Property_Deprecated</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ac54a9df1fcd7029cf94a6967f90af751">Property_Deprecated</a>(PropertyType aType, const std::string &amp;aName)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a35b5de5d675969249c5f13ecc30db8d3">Property_Deprecated</a>(const Property_Deprecated &amp;aProperty)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a229c0143fa034f271eebccb652367a63">PropertyObj</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a4cff4343a383f34d9f6ffab5d53478cb">PropertyObj</a>(const std::string &amp;aName, const Object &amp;aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#ae5ed73dbf27f910108699ed24f4f7f04">PropertyObj</a>(const PropertyObj &amp;aProperty)</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9">PropertyType</a> enum name</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#aad8a8b155593110e987e8cefd8311d71">readFromXMLElement</a>(SimTK::Xml::Element &amp;propertyElement, int versionNumber) override</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ae2f988432f0ac82f5e4c787879c16b3e">readFromXMLParentElement</a>(SimTK::Xml::Element &amp;parent, int versionNumber)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a0685f52599efbdd68462babddd4859e4">setAllowableListSize</a>(int aMin, int aMax)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a26c9f2020339f49a08a9a3a3a37adc5f">setAllowableListSize</a>(int aNum)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ab47ef97b89f66793a42c7712275938b5">setAllPropertiesUseDefault</a>(bool shouldUseDefault)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aac1cfb86a10115441ef84be3148c0c7d">setComment</a>(const std::string &amp;aComment)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a6d753e22088b946ef67ad04ce8ec16cf">setMatchName</a>(bool aMatchName)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#af29bdc3ab4adbbfe954aed4a0780bee7">setName</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1cb4a1574a8dde16cfe21562efd40b85">setNull</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ab6d63ed0e40836259df41049cb98fad7">setType</a>(PropertyType aType)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ad332ec5840ab2bf2a83e66f353961f3c">setValue</a>(bool aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ac9c7de292934d7c21d627888d603e85a">setValue</a>(int aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a9f375b38481044f8e5587503920d7c42">setValue</a>(double aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a89d318b48e426775386f88fdf0b6dd84">setValue</a>(const std::string &amp;aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a8d679cee4824add2c42b81393d790f48">setValue</a>(int aSize, const bool aArray[])</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a4ba9affc00474cab5837506dec925048">setValue</a>(const Array&lt; bool &gt; &amp;aArray)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#abba797d3d18640889fda3bf086ab38da">setValue</a>(int aSize, const int aArray[])</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a20fc384e588fd6bcd60f9c14d89a5ae5">setValue</a>(const Array&lt; int &gt; &amp;aArray)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a98a38196ea0af4d552cfc055014faf25">setValue</a>(int aSize, const double aArray[])</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1d6a06182ff5b6106a26fd1947c1f529">setValue</a>(const Array&lt; double &gt; &amp;aArray)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a55edbdab4b7995034a834c2c6697cf3a">setValue</a>(int aSize, const std::string aArray[])</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a9dd160d0a0bc88b48883816823d31c3c">setValue</a>(const Array&lt; std::string &gt; &amp;aArray)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a3d18306a5ed7019f9058019546a32926">setValue</a>(Object *aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#acc9224a56ce4931c0ff0baf9804a57dd">setValueAsObject</a>(const Object &amp;obj, int index=-1) override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a10ec6fb0a5d6beaef87cf228b34d48cf">setValueIsDefault</a>(bool isDefault)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ad7505a815a881580e46b84c260654a2c">size</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9aec30e238333b63e0205fb0375db35d9b">Str</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9aea5c7d58ae112876cf81aeaae32b8109">StrArray</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a93ce2c317efb58358d9c1a768d6540e0">toString</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aea10289debd97d3a1087b0ddbd2bbb07">toStringForDisplay</a>(const int precision) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9a192eba74638c24f54e37683e69aa55be">Transform</a> enum value</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a08cd08421dc135dface6cb9fb3d1e1c1">updValue</a>(int index=-1)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#ae1804bac69638d650de0f8ebd451586b">updValueAsObject</a>(int index=-1) override</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a569fdf8d37668f88a4f47af84885d1c1">writeToXMLElement</a>(SimTK::Xml::Element &amp;propertyElement) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a2d3ebd934bc118f3422ced85b5990f70">writeToXMLParentElement</a>(SimTK::Xml::Element &amp;parent) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aab21326774230e4921d6e912bbb1bb71">~AbstractProperty</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html#a926259ddef63700dd8b55b598c20bfa3">~PropertyObj</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1PropertyObj.html">OpenSim::PropertyObj</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:29 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
